Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGTransformList

public interface SVGTransformList

Method Summary
`SVGTransform` | `appendItem(SVGTransform newItem)`
`void` | `clear()`
`SVGTransform` | `consolidate()`
`SVGTransform` | `createSVGTransformFromMatrix(SVGMatrix matrix)`
`SVGTransform` | `getItem(int index)`
`int` | `getNumberOfItems()`
`SVGTransform` | `initialize(SVGTransform newItem)`
`SVGTransform` | `insertItemBefore(SVGTransform newItem, int index)`
`SVGTransform` | `removeItem(int index)`
`SVGTransform` | `replaceItem(SVGTransform newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws DOMException

### initialize

    public SVGTransform initialize(SVGTransform newItem)
                            throws DOMException,
                                   SVGException

### getItem

    public SVGTransform getItem(int index)
                         throws DOMException

### insertItemBefore

    public SVGTransform insertItemBefore(SVGTransform newItem,
                                         int index)
                                  throws DOMException,
                                         SVGException

### replaceItem

    public SVGTransform replaceItem(SVGTransform newItem,
                                    int index)
                             throws DOMException,
                                    SVGException

### removeItem

    public SVGTransform removeItem(int index)
                            throws DOMException

### appendItem

    public SVGTransform appendItem(SVGTransform newItem)
                            throws DOMException,
                                   SVGException

### createSVGTransformFromMatrix

    public SVGTransform createSVGTransformFromMatrix(SVGMatrix matrix)

### consolidate

    public SVGTransform consolidate()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD